﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        TabControl1.SelectedTab = TabControl1.TabPages(0)
        Button1.Enabled = False
    End Sub

    ' 前へボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        With TabControl1
            If .SelectedIndex > 0 Then
                .SelectedTab = .TabPages(.SelectedIndex - 1)
            End If
        End With
    End Sub

    ' 次へボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        With TabControl1
            If .SelectedIndex < .TabCount - 1 Then
                .SelectedTab = .TabPages(.SelectedIndex + 1)
            End If
        End With
    End Sub

    ' タブページの切り替え後処理
    Private Sub TabControl1_SelectedIndexChanged(ByVal sender As Object, _
                                                 ByVal e As System.EventArgs) _
                                             Handles TabControl1.SelectedIndexChanged
        With TabControl1
            Button1.Enabled = (.SelectedIndex > 0)
            Button2.Enabled = (.SelectedIndex < .TabCount - 1)
        End With
    End Sub
End Class
