﻿Public Class Form1
    ' 状態の確認ボタンの押下処理
    Private Sub Button1_Click_1(ByVal sender As System.Object, _
                                ByVal e As System.EventArgs) Handles Button1.Click
        Try
            ServiceController1.MachineName = "."
            ServiceController1.ServiceName = TextBox1.Text
            ServiceController1.Refresh()
            TextBox2.Text = ServiceController1.DisplayName
            TextBox3.Text = ServiceController1.Status.ToString()
        Catch ex As Exception
            MessageBox.Show(ex.Message, "状態の確認")
        End Try
    End Sub

    ' 開始または停止ボタンの押下処理
    Private Sub Button2_Click_1(ByVal sender As System.Object, _
                                ByVal e As System.EventArgs) Handles Button2.Click
        Try
            ServiceController1.MachineName = "."
            ServiceController1.ServiceName = TextBox1.Text
            ServiceController1.Refresh()
            TextBox2.Text = ServiceController1.DisplayName
            TextBox3.Text = ServiceController1.Status.ToString()
            Select Case ServiceController1.Status
                Case System.ServiceProcess.ServiceControllerStatus.Running
                    ServiceController1.Stop()
                    ServiceController1.WaitForStatus( _
                                System.ServiceProcess.ServiceControllerStatus.Stopped)
                    MessageBox.Show("サービスを停止しました。", "開始または停止")
                Case System.ServiceProcess.ServiceControllerStatus.Stopped
                    ServiceController1.Start()
                    ServiceController1.WaitForStatus( _
                                System.ServiceProcess.ServiceControllerStatus.Running)
                    MessageBox.Show("サービスを開始しました。", "開始または停止")
                Case Else
                    Dim msg As String = "現在" & ServiceController1.Status.ToString & "中です。"
                    MessageBox.Show(msg, "開始または停止")
            End Select
            ServiceController1.Refresh()
            TextBox2.Text = ServiceController1.DisplayName
            TextBox3.Text = ServiceController1.Status.ToString()
        Catch ex As Exception
            MessageBox.Show(ex.Message, "サービスの開始")
        End Try
    End Sub
End Class
